InvalidSearchControlsException (Java SE 9 & JDK 9 )
Keywords: javax.naming.directory.InvalidSearchControlsException class

Module java.naming
Package javax.naming.directory

## Class InvalidSearchControlsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.naming.NamingException
      - - javax.naming.directory.InvalidSearchControlsException

- All Implemented Interfaces:
    `Serializable`

      public class InvalidSearchControlsException
      extends NamingException

  This exception is thrown when the specification of the SearchControls for a search operation is invalid. For example, if the scope is set to a value other than OBJECT_SCOPE, ONELEVEL_SCOPE, SUBTREE_SCOPE, this exception is thrown.

  Synchronization and serialization issues that apply to NamingException apply directly here.

  Since:
    1.3
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.naming.NamingException

      `remainingName, resolvedName, resolvedObj, rootException`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InvalidSearchControlsException​()` | Constructs a new instance of InvalidSearchControlsException.
    `InvalidSearchControlsException​(String msg)` | Constructs a new instance of InvalidSearchControlsException with an explanation.

  - ### Method Summary

    - ### Methods inherited from class javax.naming.NamingException

      `appendRemainingComponent, appendRemainingName, getCause, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, initCause, setRemainingName, setResolvedName, setResolvedObj, setRootCause, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

- - ### Constructor Detail

    - #### InvalidSearchControlsException

          public InvalidSearchControlsException​()

      Constructs a new instance of InvalidSearchControlsException. All fields are set to null.

    - #### InvalidSearchControlsException

          public InvalidSearchControlsException​(String msg)

      Constructs a new instance of InvalidSearchControlsException with an explanation. All other fields set to null.
      Parameters:
        `msg` - Detail about this exception. Can be null.
      See Also:
        `Throwable.getMessage()`